<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />
    <EditText
        android:id="@+id/et_search"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp_40"
        android:layout_marginStart="@dimen/dp_21"
        android:layout_marginTop="@dimen/dp_20"
        android:layout_marginEnd="@dimen/dp_21"
        android:background="@drawable/bg_search_gray_5dp_shape"
        android:gravity="center_vertical"
        android:hint="搜索"
        android:imeOptions="actionSearch"
        android:maxLines="1"
        android:paddingStart="@dimen/dp_40"
        android:singleLine="true"
        android:textColor="@color/black_444"
        android:textSize="@dimen/dp_14"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_editor_absoluteX="197dp"
        tools:layout_editor_absoluteY="65dp" />


    <ImageView
        android:id="@+id/iv_search"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_10"
        android:padding="@dimen/dp_7"
        android:visibility="gone"
        android:src="@drawable/ic_green_search"
        app:layout_constraintBottom_toBottomOf="@+id/et_search"
        app:layout_constraintStart_toStartOf="@+id/et_search"
        app:layout_constraintTop_toTopOf="@+id/et_search" />


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/expend_list"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_10"
        android:scrollbars="none"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/toolbar_include"
        app:layout_constraintVertical_bias="0.0" />

    <com.mcxtzhang.indexlib.IndexBar.widget.IndexBar
        android:id="@+id/liv_letters"
        android:layout_width="@dimen/dp_20"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_65"
        android:layout_marginEnd="@dimen/dp_8"
        android:layout_marginBottom="@dimen/dp_20"
        android:paddingRight="@dimen/dp_10"
        app:indexBarPressBackground="@color/transparent"
        app:indexBarTextSize="@dimen/dp_12"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/toolbar_include"
        app:layout_constraintVertical_bias="0.0" />


    <View
        android:id="@+id/spacer"
        android:layout_width="@dimen/dp_58"
        android:layout_height="@dimen/dp_58"
        android:layout_marginEnd="@dimen/dp_5"
        android:gravity="center"
        android:paddingStart="8dp"
        android:paddingBottom="@dimen/dp_3"
        android:text="A"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_45"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@id/liv_letters"
        app:layout_constraintEnd_toEndOf="@+id/expend_list" />

    <TextView
        android:id="@+id/tv_hint"
        android:layout_width="@dimen/dp_58"
        android:layout_height="@dimen/dp_58"
        android:layout_marginTop="@dimen/dp_54"
        android:background="@drawable/ic_teacher_screen"
        android:gravity="center"
        android:paddingStart="8dp"
        android:paddingBottom="@dimen/dp_3"
        android:text="A"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_45"
        android:textStyle="bold"
        android:visibility="invisible"
        app:layout_constraintEnd_toStartOf="@+id/liv_letters"
        app:layout_constraintTop_toTopOf="@id/spacer" />
</androidx.constraintlayout.widget.ConstraintLayout>